Source: https://dinakar-rewind.docs.pageloop.ai/api-reference/system/gethealthsync

# Sync health status

GET `https://api.rewind.rest/v1/health/sync`

Returns the latest sync status for each data domain, including last sync time, items synced, duration, and 24-hour error rate.

## Authorization

#### Authorization (header, string, required)

API key. Read keys (rw\_live\_...) access GET endpoints. Admin keys (rw\_admin\_...) access all endpoints.

## Response

#### 200

Sync status for all domains

#### status (enum (string), required) — allowed: ok

#### domains (object, required)

#### enrichment (object, required)

#### properties

#### artists\_missing\_apple\_music\_url\_with\_plays (integer, required)

#### artists\_missing\_apple\_music\_url (integer, required)

#### tracks\_missing\_itunes\_enrichment (integer, required)

#### integrity (object, required)

#### properties

#### lastfm\_album\_artist\_mismatch\_count (integer, required)

#### Request

```bash cURL
curl -X GET 'https://api.rewind.rest/v1/health/sync' \
  -H 'Authorization: Bearer <token>'
```

```javascript JavaScript
const res = await fetch('https://api.rewind.rest/v1/health/sync', {
  method: 'GET',
  headers: {
    'Authorization': 'Bearer <token>',
  },
});
const data = await res.json();
```

```python Python
import requests

res = requests.get(
    'https://api.rewind.rest/v1/health/sync',
    headers={'Authorization': 'Bearer <token>'}
)
data = res.json()
```

#### Response

```json 200
{
  "status": "ok",
  "domains": {},
  "enrichment": {
    "artists_missing_apple_music_url_with_plays": 0,
    "artists_missing_apple_music_url": 0,
    "tracks_missing_itunes_enrichment": 0
  },
  "integrity": {
    "lastfm_album_artist_mismatch_count": 0
  }
}
```
